package com.adealink.weparty.im.data

import com.adealink.frame.network.data.PageReq
import com.google.gson.annotations.GsonNullable
import com.google.gson.annotations.SerializedName

data class IMBlackReq(
    @SerializedName("userNo") val uid: String,
    @SerializedName("black") val black: Boolean
)


data class IMIsBlackReq(
    @SerializedName("userNo") val uid: String,
)

data class IMIsBlackRes(
    @SerializedName("black") val black: Boolean,
)


data class IMBlackListReq(
    @SerializedName("page") val page: PageReq
)

data class IMBlackListRes(
    @SerializedName("list") val list: List<BlackData>,
    @GsonNullable
    @SerializedName("next") val next: String?,
)

data class BlackData(
    @SerializedName("userNo") val uid: String,
    @GsonNullable
    @SerializedName("nickname") var nickName: String? = null,
    @GsonNullable
    @SerializedName("avatar") var avatar: String? = null,
    @GsonNullable
    @SerializedName("gender") var gender: Int? = null,
    @GsonNullable
    @SerializedName("age") var age: Int? = null
)